<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Frameset//EN""http://www.w3.org/TR/REC-html40/frameset.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc on Tue Jan 11 10:54:24 PST 2005 -->
<TITLE>
: Interface  SQLExpressionsPackage
</TITLE>
<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../../../../stylesheet.css" TITLE="Style">
</HEAD>
<BODY BGCOLOR="white">

<!-- ========== START OF NAVBAR ========== -->
<A NAME="navbar_top"><!-- --></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/SQLExpressionsPackage.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsFactory.html"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/ValueExpression.html"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../../../index.html" TARGET="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="SQLExpressionsPackage.html" TARGET="_top"><B>NO FRAMES</B></A></FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY: &nbsp;INNER&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL: &nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<!-- =========== END OF NAVBAR =========== -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
org.eclipse.wst.rdb.internal.models.sql.expressions</FONT>
<BR>
Interface  SQLExpressionsPackage</H2>
<DL>
<DT><B>All Superinterfaces:</B> <DD>org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier</DD>
</DL>
<DL>
<DT><B>All Known Implementing Classes:</B> <DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/impl/SQLExpressionsPackageImpl.html">SQLExpressionsPackageImpl</A></DD>
</DL>
<HR>
<DL>
<DT>public interface <B>SQLExpressionsPackage</B><DT>extends org.eclipse.emf.ecore.EPackage</DL>

<P>
<!-- begin-user-doc -->
 The <b>Package</b> for the model.
 It contains accessors for the meta objects to represent
 <ul>
   <li>each class,</li>
   <li>each feature of each class,</li>
   <li>each enum,</li>
   <li>and each data type</li>
 </ul>
 <!-- end-user-doc -->
<P>
<DL>
<DT><B>See Also: </B><DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsFactory.html"><CODE>SQLExpressionsFactory</CODE></A></DL>
<HR>

<P>
<!-- ======== INNER CLASS SUMMARY ======== -->

<A NAME="inner_classes_inherited_from_class_org.eclipse.emf.ecore.EPackage"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Inner classes inherited from class org.eclipse.emf.ecore.EPackage</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry</CODE></TD>
</TR>
</TABLE>
&nbsp;
<!-- =========== FIELD SUMMARY =========== -->

<A NAME="field_summary"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=2><FONT SIZE="+2">
<B>Field Summary</B></FONT></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsPackage.html">SQLExpressionsPackage</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsPackage.html#eINSTANCE">eINSTANCE</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The singleton instance of the package.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsPackage.html#eNAME">eNAME</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The package name.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsPackage.html#eNS_PREFIX">eNS_PREFIX</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The package namespace name.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsPackage.html#eNS_URI">eNS_URI</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The package namespace URI.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsPackage.html#QUERY_EXPRESSION">QUERY_EXPRESSION</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The meta object id for the '<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/QueryExpression.html"><CODE><em>Query Expression</em></CODE></A>' class.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsPackage.html#QUERY_EXPRESSION_DEFAULT">QUERY_EXPRESSION_DEFAULT</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The meta object id for the '<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/impl/QueryExpressionDefaultImpl.html"><CODE><em>Query Expression Default</em></CODE></A>' class.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsPackage.html#QUERY_EXPRESSION_DEFAULT__DEPENDENCIES">QUERY_EXPRESSION_DEFAULT__DEPENDENCIES</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The feature id for the '<em><b>Dependencies</b></em>' containment reference list.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsPackage.html#QUERY_EXPRESSION_DEFAULT__DESCRIPTION">QUERY_EXPRESSION_DEFAULT__DESCRIPTION</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The feature id for the '<em><b>Description</b></em>' attribute.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsPackage.html#QUERY_EXPRESSION_DEFAULT__EANNOTATIONS">QUERY_EXPRESSION_DEFAULT__EANNOTATIONS</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The feature id for the '<em><b>EAnnotations</b></em>' containment reference list.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsPackage.html#QUERY_EXPRESSION_DEFAULT__LABEL">QUERY_EXPRESSION_DEFAULT__LABEL</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The feature id for the '<em><b>Label</b></em>' attribute.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsPackage.html#QUERY_EXPRESSION_DEFAULT__NAME">QUERY_EXPRESSION_DEFAULT__NAME</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The feature id for the '<em><b>Name</b></em>' attribute.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsPackage.html#QUERY_EXPRESSION_DEFAULT__SQL">QUERY_EXPRESSION_DEFAULT__SQL</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The feature id for the '<em><b>SQL</b></em>' attribute.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsPackage.html#QUERY_EXPRESSION_DEFAULT_FEATURE_COUNT">QUERY_EXPRESSION_DEFAULT_FEATURE_COUNT</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The number of structural features of the the '<em>Query Expression Default</em>' class.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsPackage.html#QUERY_EXPRESSION_FEATURE_COUNT">QUERY_EXPRESSION_FEATURE_COUNT</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The number of structural features of the the '<em>Query Expression</em>' class.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsPackage.html#SEARCH_CONDITION">SEARCH_CONDITION</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The meta object id for the '<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SearchCondition.html"><CODE><em>Search Condition</em></CODE></A>' class.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsPackage.html#SEARCH_CONDITION_DEFAULT">SEARCH_CONDITION_DEFAULT</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The meta object id for the '<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/impl/SearchConditionDefaultImpl.html"><CODE><em>Search Condition Default</em></CODE></A>' class.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsPackage.html#SEARCH_CONDITION_DEFAULT__DEPENDENCIES">SEARCH_CONDITION_DEFAULT__DEPENDENCIES</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The feature id for the '<em><b>Dependencies</b></em>' containment reference list.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsPackage.html#SEARCH_CONDITION_DEFAULT__DESCRIPTION">SEARCH_CONDITION_DEFAULT__DESCRIPTION</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The feature id for the '<em><b>Description</b></em>' attribute.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsPackage.html#SEARCH_CONDITION_DEFAULT__EANNOTATIONS">SEARCH_CONDITION_DEFAULT__EANNOTATIONS</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The feature id for the '<em><b>EAnnotations</b></em>' containment reference list.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsPackage.html#SEARCH_CONDITION_DEFAULT__LABEL">SEARCH_CONDITION_DEFAULT__LABEL</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The feature id for the '<em><b>Label</b></em>' attribute.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsPackage.html#SEARCH_CONDITION_DEFAULT__NAME">SEARCH_CONDITION_DEFAULT__NAME</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The feature id for the '<em><b>Name</b></em>' attribute.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsPackage.html#SEARCH_CONDITION_DEFAULT__SQL">SEARCH_CONDITION_DEFAULT__SQL</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The feature id for the '<em><b>SQL</b></em>' attribute.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsPackage.html#SEARCH_CONDITION_DEFAULT_FEATURE_COUNT">SEARCH_CONDITION_DEFAULT_FEATURE_COUNT</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The number of structural features of the the '<em>Search Condition Default</em>' class.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsPackage.html#SEARCH_CONDITION_FEATURE_COUNT">SEARCH_CONDITION_FEATURE_COUNT</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The number of structural features of the the '<em>Search Condition</em>' class.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsPackage.html#VALUE_EXPRESSION">VALUE_EXPRESSION</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The meta object id for the '<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/ValueExpression.html"><CODE><em>Value Expression</em></CODE></A>' class.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsPackage.html#VALUE_EXPRESSION_DEFAULT">VALUE_EXPRESSION_DEFAULT</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The meta object id for the '<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/impl/ValueExpressionDefaultImpl.html"><CODE><em>Value Expression Default</em></CODE></A>' class.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsPackage.html#VALUE_EXPRESSION_DEFAULT__DEPENDENCIES">VALUE_EXPRESSION_DEFAULT__DEPENDENCIES</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The feature id for the '<em><b>Dependencies</b></em>' containment reference list.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsPackage.html#VALUE_EXPRESSION_DEFAULT__DESCRIPTION">VALUE_EXPRESSION_DEFAULT__DESCRIPTION</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The feature id for the '<em><b>Description</b></em>' attribute.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsPackage.html#VALUE_EXPRESSION_DEFAULT__EANNOTATIONS">VALUE_EXPRESSION_DEFAULT__EANNOTATIONS</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The feature id for the '<em><b>EAnnotations</b></em>' containment reference list.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsPackage.html#VALUE_EXPRESSION_DEFAULT__LABEL">VALUE_EXPRESSION_DEFAULT__LABEL</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The feature id for the '<em><b>Label</b></em>' attribute.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsPackage.html#VALUE_EXPRESSION_DEFAULT__NAME">VALUE_EXPRESSION_DEFAULT__NAME</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The feature id for the '<em><b>Name</b></em>' attribute.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsPackage.html#VALUE_EXPRESSION_DEFAULT__SQL">VALUE_EXPRESSION_DEFAULT__SQL</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The feature id for the '<em><b>SQL</b></em>' attribute.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsPackage.html#VALUE_EXPRESSION_DEFAULT_FEATURE_COUNT">VALUE_EXPRESSION_DEFAULT_FEATURE_COUNT</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The number of structural features of the the '<em>Value Expression Default</em>' class.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsPackage.html#VALUE_EXPRESSION_FEATURE_COUNT">VALUE_EXPRESSION_FEATURE_COUNT</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The number of structural features of the the '<em>Value Expression</em>' class.</TD>
</TR>
</TABLE>
&nbsp;
<!-- ======== CONSTRUCTOR SUMMARY ======== -->


<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=2><FONT SIZE="+2">
<B>Method Summary</B></FONT></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;org.eclipse.emf.ecore.EClass</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsPackage.html#getQueryExpression()">getQueryExpression</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the meta object for class '<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/QueryExpression.html"><CODE><em>Query Expression</em></CODE></A>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;org.eclipse.emf.ecore.EAttribute</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsPackage.html#getQueryExpressionDefault_SQL()">getQueryExpressionDefault_SQL</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the meta object for the attribute '<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/QueryExpressionDefault.html#getSQL()"><CODE><em>SQL</em></CODE></A>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;org.eclipse.emf.ecore.EClass</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsPackage.html#getQueryExpressionDefault()">getQueryExpressionDefault</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the meta object for class '<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/QueryExpressionDefault.html"><CODE><em>Query Expression Default</em></CODE></A>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;org.eclipse.emf.ecore.EClass</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsPackage.html#getSearchCondition()">getSearchCondition</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the meta object for class '<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SearchCondition.html"><CODE><em>Search Condition</em></CODE></A>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;org.eclipse.emf.ecore.EAttribute</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsPackage.html#getSearchConditionDefault_SQL()">getSearchConditionDefault_SQL</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the meta object for the attribute '<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SearchConditionDefault.html#getSQL()"><CODE><em>SQL</em></CODE></A>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;org.eclipse.emf.ecore.EClass</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsPackage.html#getSearchConditionDefault()">getSearchConditionDefault</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the meta object for class '<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SearchConditionDefault.html"><CODE><em>Search Condition Default</em></CODE></A>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsFactory.html">SQLExpressionsFactory</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsPackage.html#getSQLExpressionsFactory()">getSQLExpressionsFactory</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the factory that creates the instances of the model.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;org.eclipse.emf.ecore.EClass</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsPackage.html#getValueExpression()">getValueExpression</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the meta object for class '<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/ValueExpression.html"><CODE><em>Value Expression</em></CODE></A>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;org.eclipse.emf.ecore.EAttribute</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsPackage.html#getValueExpressionDefault_SQL()">getValueExpressionDefault_SQL</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the meta object for the attribute '<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/ValueExpressionDefault.html#getSQL()"><CODE><em>SQL</em></CODE></A>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;org.eclipse.emf.ecore.EClass</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsPackage.html#getValueExpressionDefault()">getValueExpressionDefault</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the meta object for class '<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/ValueExpressionDefault.html"><CODE><em>Value Expression Default</em></CODE></A>'.</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.emf.ecore.EPackage"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from interface org.eclipse.emf.ecore.EPackage</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.emf.ecore.ENamedElement"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from interface org.eclipse.emf.ecore.ENamedElement</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>getName, setName</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.emf.ecore.EModelElement"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from interface org.eclipse.emf.ecore.EModelElement</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>getEAnnotation, getEAnnotations</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.emf.ecore.EObject"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from interface org.eclipse.emf.ecore.EObject</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.emf.common.notify.Notifier"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from interface org.eclipse.emf.common.notify.Notifier</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>eAdapters, eDeliver, eNotify, eSetDeliver</CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ FIELD DETAIL =========== -->

<A NAME="field_detail"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=1><FONT SIZE="+2">
<B>Field Detail</B></FONT></TD>
</TR>
</TABLE>

<A NAME="eNAME"><!-- --></A><H3>
eNAME</H3>
<PRE>
public static final java.lang.String <B>eNAME</B></PRE>
<DL>
<DD>The package name.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></DL>
<HR>

<A NAME="eNS_URI"><!-- --></A><H3>
eNS_URI</H3>
<PRE>
public static final java.lang.String <B>eNS_URI</B></PRE>
<DL>
<DD>The package namespace URI.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></DL>
<HR>

<A NAME="eNS_PREFIX"><!-- --></A><H3>
eNS_PREFIX</H3>
<PRE>
public static final java.lang.String <B>eNS_PREFIX</B></PRE>
<DL>
<DD>The package namespace name.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></DL>
<HR>

<A NAME="eINSTANCE"><!-- --></A><H3>
eINSTANCE</H3>
<PRE>
public static final <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsPackage.html">SQLExpressionsPackage</A> <B>eINSTANCE</B></PRE>
<DL>
<DD>The singleton instance of the package.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></DL>
<HR>

<A NAME="QUERY_EXPRESSION"><!-- --></A><H3>
QUERY_EXPRESSION</H3>
<PRE>
public static final int <B>QUERY_EXPRESSION</B></PRE>
<DL>
<DD>The meta object id for the '<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/QueryExpression.html"><CODE><em>Query Expression</em></CODE></A>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>See Also: </B><DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/QueryExpression.html"><CODE>QueryExpression</CODE></A>, 
<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/impl/SQLExpressionsPackageImpl.html#getQueryExpression()"><CODE>SQLExpressionsPackageImpl.getQueryExpression()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="QUERY_EXPRESSION_FEATURE_COUNT"><!-- --></A><H3>
QUERY_EXPRESSION_FEATURE_COUNT</H3>
<PRE>
public static final int <B>QUERY_EXPRESSION_FEATURE_COUNT</B></PRE>
<DL>
<DD>The number of structural features of the the '<em>Query Expression</em>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></DL>
<HR>

<A NAME="VALUE_EXPRESSION"><!-- --></A><H3>
VALUE_EXPRESSION</H3>
<PRE>
public static final int <B>VALUE_EXPRESSION</B></PRE>
<DL>
<DD>The meta object id for the '<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/ValueExpression.html"><CODE><em>Value Expression</em></CODE></A>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>See Also: </B><DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/ValueExpression.html"><CODE>ValueExpression</CODE></A>, 
<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/impl/SQLExpressionsPackageImpl.html#getValueExpression()"><CODE>SQLExpressionsPackageImpl.getValueExpression()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="VALUE_EXPRESSION_FEATURE_COUNT"><!-- --></A><H3>
VALUE_EXPRESSION_FEATURE_COUNT</H3>
<PRE>
public static final int <B>VALUE_EXPRESSION_FEATURE_COUNT</B></PRE>
<DL>
<DD>The number of structural features of the the '<em>Value Expression</em>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></DL>
<HR>

<A NAME="SEARCH_CONDITION"><!-- --></A><H3>
SEARCH_CONDITION</H3>
<PRE>
public static final int <B>SEARCH_CONDITION</B></PRE>
<DL>
<DD>The meta object id for the '<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SearchCondition.html"><CODE><em>Search Condition</em></CODE></A>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>See Also: </B><DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SearchCondition.html"><CODE>SearchCondition</CODE></A>, 
<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/impl/SQLExpressionsPackageImpl.html#getSearchCondition()"><CODE>SQLExpressionsPackageImpl.getSearchCondition()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="SEARCH_CONDITION_FEATURE_COUNT"><!-- --></A><H3>
SEARCH_CONDITION_FEATURE_COUNT</H3>
<PRE>
public static final int <B>SEARCH_CONDITION_FEATURE_COUNT</B></PRE>
<DL>
<DD>The number of structural features of the the '<em>Search Condition</em>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></DL>
<HR>

<A NAME="QUERY_EXPRESSION_DEFAULT"><!-- --></A><H3>
QUERY_EXPRESSION_DEFAULT</H3>
<PRE>
public static final int <B>QUERY_EXPRESSION_DEFAULT</B></PRE>
<DL>
<DD>The meta object id for the '<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/impl/QueryExpressionDefaultImpl.html"><CODE><em>Query Expression Default</em></CODE></A>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>See Also: </B><DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/impl/QueryExpressionDefaultImpl.html"><CODE>QueryExpressionDefaultImpl</CODE></A>, 
<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/impl/SQLExpressionsPackageImpl.html#getQueryExpressionDefault()"><CODE>SQLExpressionsPackageImpl.getQueryExpressionDefault()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="QUERY_EXPRESSION_DEFAULT__EANNOTATIONS"><!-- --></A><H3>
QUERY_EXPRESSION_DEFAULT__EANNOTATIONS</H3>
<PRE>
public static final int <B>QUERY_EXPRESSION_DEFAULT__EANNOTATIONS</B></PRE>
<DL>
<DD>The feature id for the '<em><b>EAnnotations</b></em>' containment reference list.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></DL>
<HR>

<A NAME="QUERY_EXPRESSION_DEFAULT__NAME"><!-- --></A><H3>
QUERY_EXPRESSION_DEFAULT__NAME</H3>
<PRE>
public static final int <B>QUERY_EXPRESSION_DEFAULT__NAME</B></PRE>
<DL>
<DD>The feature id for the '<em><b>Name</b></em>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></DL>
<HR>

<A NAME="QUERY_EXPRESSION_DEFAULT__DEPENDENCIES"><!-- --></A><H3>
QUERY_EXPRESSION_DEFAULT__DEPENDENCIES</H3>
<PRE>
public static final int <B>QUERY_EXPRESSION_DEFAULT__DEPENDENCIES</B></PRE>
<DL>
<DD>The feature id for the '<em><b>Dependencies</b></em>' containment reference list.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></DL>
<HR>

<A NAME="QUERY_EXPRESSION_DEFAULT__DESCRIPTION"><!-- --></A><H3>
QUERY_EXPRESSION_DEFAULT__DESCRIPTION</H3>
<PRE>
public static final int <B>QUERY_EXPRESSION_DEFAULT__DESCRIPTION</B></PRE>
<DL>
<DD>The feature id for the '<em><b>Description</b></em>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></DL>
<HR>

<A NAME="QUERY_EXPRESSION_DEFAULT__LABEL"><!-- --></A><H3>
QUERY_EXPRESSION_DEFAULT__LABEL</H3>
<PRE>
public static final int <B>QUERY_EXPRESSION_DEFAULT__LABEL</B></PRE>
<DL>
<DD>The feature id for the '<em><b>Label</b></em>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></DL>
<HR>

<A NAME="QUERY_EXPRESSION_DEFAULT__SQL"><!-- --></A><H3>
QUERY_EXPRESSION_DEFAULT__SQL</H3>
<PRE>
public static final int <B>QUERY_EXPRESSION_DEFAULT__SQL</B></PRE>
<DL>
<DD>The feature id for the '<em><b>SQL</b></em>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></DL>
<HR>

<A NAME="QUERY_EXPRESSION_DEFAULT_FEATURE_COUNT"><!-- --></A><H3>
QUERY_EXPRESSION_DEFAULT_FEATURE_COUNT</H3>
<PRE>
public static final int <B>QUERY_EXPRESSION_DEFAULT_FEATURE_COUNT</B></PRE>
<DL>
<DD>The number of structural features of the the '<em>Query Expression Default</em>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></DL>
<HR>

<A NAME="SEARCH_CONDITION_DEFAULT"><!-- --></A><H3>
SEARCH_CONDITION_DEFAULT</H3>
<PRE>
public static final int <B>SEARCH_CONDITION_DEFAULT</B></PRE>
<DL>
<DD>The meta object id for the '<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/impl/SearchConditionDefaultImpl.html"><CODE><em>Search Condition Default</em></CODE></A>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>See Also: </B><DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/impl/SearchConditionDefaultImpl.html"><CODE>SearchConditionDefaultImpl</CODE></A>, 
<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/impl/SQLExpressionsPackageImpl.html#getSearchConditionDefault()"><CODE>SQLExpressionsPackageImpl.getSearchConditionDefault()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="SEARCH_CONDITION_DEFAULT__EANNOTATIONS"><!-- --></A><H3>
SEARCH_CONDITION_DEFAULT__EANNOTATIONS</H3>
<PRE>
public static final int <B>SEARCH_CONDITION_DEFAULT__EANNOTATIONS</B></PRE>
<DL>
<DD>The feature id for the '<em><b>EAnnotations</b></em>' containment reference list.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></DL>
<HR>

<A NAME="SEARCH_CONDITION_DEFAULT__NAME"><!-- --></A><H3>
SEARCH_CONDITION_DEFAULT__NAME</H3>
<PRE>
public static final int <B>SEARCH_CONDITION_DEFAULT__NAME</B></PRE>
<DL>
<DD>The feature id for the '<em><b>Name</b></em>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></DL>
<HR>

<A NAME="SEARCH_CONDITION_DEFAULT__DEPENDENCIES"><!-- --></A><H3>
SEARCH_CONDITION_DEFAULT__DEPENDENCIES</H3>
<PRE>
public static final int <B>SEARCH_CONDITION_DEFAULT__DEPENDENCIES</B></PRE>
<DL>
<DD>The feature id for the '<em><b>Dependencies</b></em>' containment reference list.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></DL>
<HR>

<A NAME="SEARCH_CONDITION_DEFAULT__DESCRIPTION"><!-- --></A><H3>
SEARCH_CONDITION_DEFAULT__DESCRIPTION</H3>
<PRE>
public static final int <B>SEARCH_CONDITION_DEFAULT__DESCRIPTION</B></PRE>
<DL>
<DD>The feature id for the '<em><b>Description</b></em>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></DL>
<HR>

<A NAME="SEARCH_CONDITION_DEFAULT__LABEL"><!-- --></A><H3>
SEARCH_CONDITION_DEFAULT__LABEL</H3>
<PRE>
public static final int <B>SEARCH_CONDITION_DEFAULT__LABEL</B></PRE>
<DL>
<DD>The feature id for the '<em><b>Label</b></em>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></DL>
<HR>

<A NAME="SEARCH_CONDITION_DEFAULT__SQL"><!-- --></A><H3>
SEARCH_CONDITION_DEFAULT__SQL</H3>
<PRE>
public static final int <B>SEARCH_CONDITION_DEFAULT__SQL</B></PRE>
<DL>
<DD>The feature id for the '<em><b>SQL</b></em>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></DL>
<HR>

<A NAME="SEARCH_CONDITION_DEFAULT_FEATURE_COUNT"><!-- --></A><H3>
SEARCH_CONDITION_DEFAULT_FEATURE_COUNT</H3>
<PRE>
public static final int <B>SEARCH_CONDITION_DEFAULT_FEATURE_COUNT</B></PRE>
<DL>
<DD>The number of structural features of the the '<em>Search Condition Default</em>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></DL>
<HR>

<A NAME="VALUE_EXPRESSION_DEFAULT"><!-- --></A><H3>
VALUE_EXPRESSION_DEFAULT</H3>
<PRE>
public static final int <B>VALUE_EXPRESSION_DEFAULT</B></PRE>
<DL>
<DD>The meta object id for the '<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/impl/ValueExpressionDefaultImpl.html"><CODE><em>Value Expression Default</em></CODE></A>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>See Also: </B><DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/impl/ValueExpressionDefaultImpl.html"><CODE>ValueExpressionDefaultImpl</CODE></A>, 
<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/impl/SQLExpressionsPackageImpl.html#getValueExpressionDefault()"><CODE>SQLExpressionsPackageImpl.getValueExpressionDefault()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="VALUE_EXPRESSION_DEFAULT__EANNOTATIONS"><!-- --></A><H3>
VALUE_EXPRESSION_DEFAULT__EANNOTATIONS</H3>
<PRE>
public static final int <B>VALUE_EXPRESSION_DEFAULT__EANNOTATIONS</B></PRE>
<DL>
<DD>The feature id for the '<em><b>EAnnotations</b></em>' containment reference list.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></DL>
<HR>

<A NAME="VALUE_EXPRESSION_DEFAULT__NAME"><!-- --></A><H3>
VALUE_EXPRESSION_DEFAULT__NAME</H3>
<PRE>
public static final int <B>VALUE_EXPRESSION_DEFAULT__NAME</B></PRE>
<DL>
<DD>The feature id for the '<em><b>Name</b></em>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></DL>
<HR>

<A NAME="VALUE_EXPRESSION_DEFAULT__DEPENDENCIES"><!-- --></A><H3>
VALUE_EXPRESSION_DEFAULT__DEPENDENCIES</H3>
<PRE>
public static final int <B>VALUE_EXPRESSION_DEFAULT__DEPENDENCIES</B></PRE>
<DL>
<DD>The feature id for the '<em><b>Dependencies</b></em>' containment reference list.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></DL>
<HR>

<A NAME="VALUE_EXPRESSION_DEFAULT__DESCRIPTION"><!-- --></A><H3>
VALUE_EXPRESSION_DEFAULT__DESCRIPTION</H3>
<PRE>
public static final int <B>VALUE_EXPRESSION_DEFAULT__DESCRIPTION</B></PRE>
<DL>
<DD>The feature id for the '<em><b>Description</b></em>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></DL>
<HR>

<A NAME="VALUE_EXPRESSION_DEFAULT__LABEL"><!-- --></A><H3>
VALUE_EXPRESSION_DEFAULT__LABEL</H3>
<PRE>
public static final int <B>VALUE_EXPRESSION_DEFAULT__LABEL</B></PRE>
<DL>
<DD>The feature id for the '<em><b>Label</b></em>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></DL>
<HR>

<A NAME="VALUE_EXPRESSION_DEFAULT__SQL"><!-- --></A><H3>
VALUE_EXPRESSION_DEFAULT__SQL</H3>
<PRE>
public static final int <B>VALUE_EXPRESSION_DEFAULT__SQL</B></PRE>
<DL>
<DD>The feature id for the '<em><b>SQL</b></em>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></DL>
<HR>

<A NAME="VALUE_EXPRESSION_DEFAULT_FEATURE_COUNT"><!-- --></A><H3>
VALUE_EXPRESSION_DEFAULT_FEATURE_COUNT</H3>
<PRE>
public static final int <B>VALUE_EXPRESSION_DEFAULT_FEATURE_COUNT</B></PRE>
<DL>
<DD>The number of structural features of the the '<em>Value Expression Default</em>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></DL>

<!-- ========= CONSTRUCTOR DETAIL ======== -->


<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=1><FONT SIZE="+2">
<B>Method Detail</B></FONT></TD>
</TR>
</TABLE>

<A NAME="getQueryExpression()"><!-- --></A><H3>
getQueryExpression</H3>
<PRE>
public org.eclipse.emf.ecore.EClass <B>getQueryExpression</B>()</PRE>
<DL>
<DD>Returns the meta object for class '<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/QueryExpression.html"><CODE><em>Query Expression</em></CODE></A>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Returns:</B><DD>the meta object for class '<em>Query Expression</em>'.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/QueryExpression.html"><CODE>QueryExpression</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getValueExpression()"><!-- --></A><H3>
getValueExpression</H3>
<PRE>
public org.eclipse.emf.ecore.EClass <B>getValueExpression</B>()</PRE>
<DL>
<DD>Returns the meta object for class '<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/ValueExpression.html"><CODE><em>Value Expression</em></CODE></A>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Returns:</B><DD>the meta object for class '<em>Value Expression</em>'.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/ValueExpression.html"><CODE>ValueExpression</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getSearchCondition()"><!-- --></A><H3>
getSearchCondition</H3>
<PRE>
public org.eclipse.emf.ecore.EClass <B>getSearchCondition</B>()</PRE>
<DL>
<DD>Returns the meta object for class '<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SearchCondition.html"><CODE><em>Search Condition</em></CODE></A>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Returns:</B><DD>the meta object for class '<em>Search Condition</em>'.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SearchCondition.html"><CODE>SearchCondition</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getQueryExpressionDefault()"><!-- --></A><H3>
getQueryExpressionDefault</H3>
<PRE>
public org.eclipse.emf.ecore.EClass <B>getQueryExpressionDefault</B>()</PRE>
<DL>
<DD>Returns the meta object for class '<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/QueryExpressionDefault.html"><CODE><em>Query Expression Default</em></CODE></A>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Returns:</B><DD>the meta object for class '<em>Query Expression Default</em>'.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/QueryExpressionDefault.html"><CODE>QueryExpressionDefault</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getQueryExpressionDefault_SQL()"><!-- --></A><H3>
getQueryExpressionDefault_SQL</H3>
<PRE>
public org.eclipse.emf.ecore.EAttribute <B>getQueryExpressionDefault_SQL</B>()</PRE>
<DL>
<DD>Returns the meta object for the attribute '<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/QueryExpressionDefault.html#getSQL()"><CODE><em>SQL</em></CODE></A>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Returns:</B><DD>the meta object for the attribute '<em>SQL</em>'.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/QueryExpressionDefault.html#getSQL()"><CODE>QueryExpressionDefault.getSQL()</CODE></A>, 
<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsPackage.html#getQueryExpressionDefault()"><CODE>getQueryExpressionDefault()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getSearchConditionDefault()"><!-- --></A><H3>
getSearchConditionDefault</H3>
<PRE>
public org.eclipse.emf.ecore.EClass <B>getSearchConditionDefault</B>()</PRE>
<DL>
<DD>Returns the meta object for class '<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SearchConditionDefault.html"><CODE><em>Search Condition Default</em></CODE></A>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Returns:</B><DD>the meta object for class '<em>Search Condition Default</em>'.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SearchConditionDefault.html"><CODE>SearchConditionDefault</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getSearchConditionDefault_SQL()"><!-- --></A><H3>
getSearchConditionDefault_SQL</H3>
<PRE>
public org.eclipse.emf.ecore.EAttribute <B>getSearchConditionDefault_SQL</B>()</PRE>
<DL>
<DD>Returns the meta object for the attribute '<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SearchConditionDefault.html#getSQL()"><CODE><em>SQL</em></CODE></A>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Returns:</B><DD>the meta object for the attribute '<em>SQL</em>'.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SearchConditionDefault.html#getSQL()"><CODE>SearchConditionDefault.getSQL()</CODE></A>, 
<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsPackage.html#getSearchConditionDefault()"><CODE>getSearchConditionDefault()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getValueExpressionDefault()"><!-- --></A><H3>
getValueExpressionDefault</H3>
<PRE>
public org.eclipse.emf.ecore.EClass <B>getValueExpressionDefault</B>()</PRE>
<DL>
<DD>Returns the meta object for class '<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/ValueExpressionDefault.html"><CODE><em>Value Expression Default</em></CODE></A>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Returns:</B><DD>the meta object for class '<em>Value Expression Default</em>'.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/ValueExpressionDefault.html"><CODE>ValueExpressionDefault</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getValueExpressionDefault_SQL()"><!-- --></A><H3>
getValueExpressionDefault_SQL</H3>
<PRE>
public org.eclipse.emf.ecore.EAttribute <B>getValueExpressionDefault_SQL</B>()</PRE>
<DL>
<DD>Returns the meta object for the attribute '<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/ValueExpressionDefault.html#getSQL()"><CODE><em>SQL</em></CODE></A>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Returns:</B><DD>the meta object for the attribute '<em>SQL</em>'.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/ValueExpressionDefault.html#getSQL()"><CODE>ValueExpressionDefault.getSQL()</CODE></A>, 
<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsPackage.html#getValueExpressionDefault()"><CODE>getValueExpressionDefault()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getSQLExpressionsFactory()"><!-- --></A><H3>
getSQLExpressionsFactory</H3>
<PRE>
public <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsFactory.html">SQLExpressionsFactory</A> <B>getSQLExpressionsFactory</B>()</PRE>
<DL>
<DD>Returns the factory that creates the instances of the model.
 <!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Returns:</B><DD>the factory that creates the instances of the model.</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>

<!-- ========== START OF NAVBAR ========== -->
<A NAME="navbar_bottom"><!-- --></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/SQLExpressionsPackage.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsFactory.html"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/ValueExpression.html"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../../../index.html" TARGET="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="SQLExpressionsPackage.html" TARGET="_top"><B>NO FRAMES</B></A></FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY: &nbsp;INNER&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL: &nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<!-- =========== END OF NAVBAR =========== -->

<HR>

</BODY>
</HTML>
